<?php

/**
 * @file
 * Provides hook documentation for the ldap_api module.
 */

/**
 * Adds to or changes ldap server data stored for another module (module_data[module_name])
 *
 * this is a contrived example.  better example can be found in ldap_authz or ldap_authn
 *
 * LDAP_API allows for storing data for other modules in the module_data field
 * when the ldap server configuration form is submitting this hook is invoked
 * allowing other modules to modify or add to this array.
 *
 * @param $module_data
 *   current module_data array in form:  $module_data[<module_name>] = data for that module.
 * @param $form_state
 *   form state during submit stage of ldap_api_servers_admin_form 
 * @param $ldap_server_config
 *   current ldap server configuration after submitted server form data in added/updated
 * @param $action 
 *   add or update
 * @param $sid
 *   server id
 */
function hook_ldap_api_server_module_data_alter(&$module_data, &$form_state, &$ldap_server_config, $action, $sid) {
  
  $values = $form_state['values'];
  if ($action == "update") {
    $data = $ldap_server_config['module_data']['ldap_api']; // existing data
  }
  $data['demo_field_1'] = $values['ldap_api_demo_field_1'];
  $data['demo_field_2'] = $values['ldap_api_demo_field_2'];
  $module_data['ldap_api'] = $data;
  
}