<?php
/**
 * @file
 * export functionality file for ldaphelp module
 *
 *
 *
 * features export notes:
 *   http://drupalcode.org/viewvc/drupal/contributions/modules/features/API.txt?view=markup&pathrev=DRUPAL-6--1
 *   http://drupal.org/node/581526
 *   http://plosquare.blogspot.com/2010/04/version-control-in-drupal-6-using.html
 *   http://drupal.org/project/features
 *   imagecache may be the closest module to imitate for features development.
 */

function ldap_help_export_form() {
  
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Export Checked Items Below'),
    );
   
  $form['export_type'] = array(
    '#type' => 'radios',
    '#title' => t('Export Format'),
    '#return_value' => 1,
    '#default_value' => $export_format,
    '#options' => array(
      'patterns_xml' => t('Patterns XML. Export XML importable with Patterns module.'),
      'patterns_yaml' => t('Patterns YAML. Export YAML importable with Patterns module.'),
      ),
    '#description' => t('Use the Features module interface to export and import LDAP API
      settings as features.'),
  );
  
  $form['export-admin-settings'] =  array(
    '#type' => 'checkboxes',
    '#title' => t('Settings to Export'),
    '#return_value' => 1,
    '#options' => array('settings' => 'General LDAP API Settings'),
    '#default_value' => array(),
    '#description' => '',
    );

  foreach (ldap_api_get_server_objects() as $sid => $ldap) {
    $ldap_exports[$sid] = $ldap->name . '. server address: <code>'. $ldap->server_addr ."</code> server_id: <code>$sid</code>";
  }
  $form["exportldap"] =  array(
    '#type' => 'checkboxes',
    '#title' => t('Server Configurations to Export'),
    '#return_value' => 1,
    '#default_value' => array(),
    '#options' => $ldap_exports,
    '#description' => '',
  );
  
  return $form;

}

/**
 * Submit hook for the export form.
 */
function ldaphelp_export_form_submit($form, &$form_state) {
  $_SESSION['ldap_help_export_last_form_state_values'] = serialize($form_state['values']);
}



















